Sender names
Senders list
Organization senders
Use this method to get a list of sender names related to a specific organization
GET https://a.loopmessage.com/api/v1/sender/list/?page=1&per_page=20&sort_by=desc
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | API Key. Required*. |
| Content-Type* | String | application/json |
Query Parameters
| Name | Type | Description |
|---|---|---|
| sort_by | String | Optional. Sorting order for results. Possible values: asc (ascending) or desc (default). |
| page | Integer | Optional. The page number to retrieve. Default is 1. |
| per_page | Integer | Optional. Number of webhook records per page. Default is 20. |
Response
{
"page": 1,
"num_pages": 1,
"per_page": 20,
"count": 1,
"items": [
{
"id": "string",
"name": "string",
"status": "enum string",
"create_date": "2025-01-27T22:23:51Z",
"imessage_link": "URL string",
}
]
}
All sender names
Use this method to get a list of all sender names
GET https://a.loopmessage.com/api/v1/sender/list/?page=1&per_page=20&sort_by=desc
You can use a contact ID or a phone number/email address (depending on what the user provided you with when subscribing).
Headers
| Name | Type | Description |
|---|---|---|
| Authorization* | String | API Key. Required*. |
| Content-Type* | String | application/json |
Query Parameters
| Name | Type | Description |
|---|---|---|
| sort_by | String | Optional. Sorting order for results. Possible values: asc (ascending) or desc (default). |
| page | Integer | Optional. The page number to retrieve. Default is 1. |
| per_page | Integer | Optional. Number of webhook records per page. Default is 20. |
Response
{
"page": 1,
"num_pages": 1,
"per_page": 20,
"count": 1,
"items": [
{
"id": "string",
"name": "string",
"status": "enum string",
"create_date": "2025-01-27T22:23:51Z",
"imessage_link": "URL string",
}
]
}